/*
 * Copyright (c) 2025, WSO2 LLC. (http://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.is.migration.service.v710.model;

import java.util.Objects;

/**
 * This class contains the NotificationTemplateKey model.
 */
public class NotificationTemplateKey {

    private String typeKey;
    private String localeKey;
    private String notificationChannel;

    public NotificationTemplateKey(String typeKey, String localeKey, String notificationChannel) {

        this.typeKey = typeKey;
        this.localeKey = localeKey;
        this.notificationChannel = notificationChannel;
    }

    public String getTypeKey() {

        return typeKey;
    }

    public void setTypeKey(String typeKey) {

        this.typeKey = typeKey;
    }

    public String getLocaleKey() {

        return localeKey;
    }

    public void setLocaleKey(String localeKey) {

        this.localeKey = localeKey;
    }

    public String getNotificationChannel() {

        return notificationChannel;
    }

    public void setNotificationChannel(String notificationChannel) {

        this.notificationChannel = notificationChannel;
    }

    @Override
    public boolean equals(Object o) {

        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        NotificationTemplateKey that = (NotificationTemplateKey) o;
        return Objects.equals(localeKey, that.localeKey) &&
                Objects.equals(notificationChannel, that.notificationChannel) &&
                Objects.equals(typeKey, that.typeKey);
    }

    @Override
    public int hashCode() {

        return Objects.hash(localeKey, notificationChannel, typeKey);
    }
}
